PETSc version 3.17.4
Fix/Edit manual page

# DMRestoreLocalVector

Returns a PETSc vector that was obtained from DMGetLocalVector(). Do not use with vector obtained via DMCreateLocalVector().

### Synopsis

    #include "petscdm.h"
    PetscErrorCode  DMRestoreLocalVector(DM dm,Vec *g)

Not Collective

### Input Parameters

| dm | - the dm
| g | - the local vector

### See Also

DMCreateGlobalVector(), VecDuplicate(), VecDuplicateVecs(),
DMDACreate1d(), DMDACreate2d(), DMDACreate3d(), DMGlobalToLocalBegin(), DMGlobalToLocalEnd(), DMLocalToGlobalBegin(), DMCreateLocalVector(), DMGetLocalVector()

### Level

beginner

### Location

src/dm/interface/dmget.c

### Examples

src/dm/impls/plex/tutorials/ex6.c.html
src/dm/impls/stag/tutorials/ex1.c.html
src/dm/impls/stag/tutorials/ex2.c.html
src/dm/impls/stag/tutorials/ex3.c.html
src/dm/impls/stag/tutorials/ex4.c.html
src/dm/impls/stag/tutorials/ex6.c.html
src/dm/tutorials/ex13f90.F90.html
src/ksp/ksp/tutorials/ex42.c.html
src/ksp/ksp/tutorials/ex43.c.html
src/ksp/ksp/tutorials/ex49.c.html
src/ksp/ksp/tutorials/ex69.c.html
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages